Bug 362621

Summary: After update to kernel 2.6.23.1-10, ISDN module will no longer load
Product: [Fedora] Fedora Reporter: Mark Polo <markpolo>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: felix.schwarz, snecklifter
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 2.6.24.3-34.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-16 15:27:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Oops message
none
Oops data none

Description Mark Polo 2007-11-01 17:06:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Boot computer


Steps to Reproduce:
1. Install an AVM Fritz! ISDN 2.0 PCI card
2. Boot
3.
  
Actual results:
Hangs.

Expected results:
Boots.

Additional info:
I have disabled startup of ISDN in runlevel 5. If I try 'service isdn start', it
hangs on trying to Unload the ISDN modules that were never loaded in the first
place (at least in theory).

I have also tried uninstalling and reinstalling the modem in
system-config-network, without luck.
Comment 1 Mark Polo 2007-11-01 17:07:53 EDT
Oops, forgot all the version numbers:

kernel-2.6.23.1-10.fc7
isdn4k-utils-3.2-54.fc7
system-config-network-tui-1.3.96.2-1.fc7
system-config-network-1.3.96.2-1.fc7
Comment 2 Chuck Ebbert 2007-11-01 18:03:59 EDT
Does the whole machine lock up completely?
Is there any way to tell what command it is running in the script?
Comment 3 Mark Polo 2007-11-02 05:14:39 EDT
In the boot process, I get
[Starting ISDN services]

and it just sits there doing nothing. I only waited a minute or two, but
couldn't get any response from Ctrl-C or Ctrl-Alt-Del. 

After booting into an old kernel, deactivating ISDN on boot, and booting into
the new kernel, I was able to try the command from a terminal (service isdn
start). This came back with the message "Unloading ISDN modules" and then sat
there doing (apparently) nothing for some time. The rest of the machine remained
responsive, and I was able to abort the attempt with Ctrl-C.
Comment 4 Mark Polo 2007-11-13 06:53:47 EST
I just updated to Fedora 8, and the situation persists, but gives more information. 

If I try to load the modules, I get a kernel oops now.

/etc/init.d/isdn: line 112:  3929 Killed                  modprobe $MODULE
$RESOURCES > /dev/null 2>&1
Loading ISDN modules                                       [FAILED]

Message from syslogd@studienpraefekt at Nov 13 12:52:09 ...
 kernel: Oops: 0010 [1] SMP 

Message from syslogd@studienpraefekt at Nov 13 12:52:09 ...
 kernel: CR2: 0000000000000000

Furthermore, if I try to remove the card from system-config-network and then
reinstall it, I get the following upon selecting ISDN as the interface type:

Component: system-config-network
Version: 1.4.3
Summary: TB40619167 isdnhardware.py:207:setup:AttributeError: 'module' object
has no attribute 'card'

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
735, in on_addButton_clicked
    self.addButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1532, in on_hardwareAddButton_clicked
    if self.showHardwareDialog(hw) == gtk.RESPONSE_OK:
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1563, in showHardwareDialog
    dl = hw.getDialog()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCHWIsdn.py", line
34, in getDialog
    return _hwIsdnDialog(self).xml.get_widget("Dialog")
  File "/usr/share/system-config-network/netconfpkg/gui/isdnhardware.py", line
56, in __init__
    self.setup()
  File "/usr/share/system-config-network/netconfpkg/gui/isdnhardware.py", line
207, in setup
    cardlist = NCisdnhardware.card.keys()
AttributeError: 'module' object has no attribute 'card'

Local variables in innermost frame:
self: <netconfpkg.gui.isdnhardware.isdnHardwareDialog instance at 0x1151cb0>

Hopefully this is helpful in tracking down the problem.
Comment 5 Chuck Ebbert 2007-11-13 14:19:29 EST
(In reply to comment #4)
> I just updated to Fedora 8, and the situation persists, but gives more
information. 
> 
> If I try to load the modules, I get a kernel oops now.
> 
> /etc/init.d/isdn: line 112:  3929 Killed                  modprobe $MODULE
> $RESOURCES > /dev/null 2>&1
> Loading ISDN modules                                       [FAILED]
> 
> Message from syslogd@studienpraefekt at Nov 13 12:52:09 ...
>  kernel: Oops: 0010 [1] SMP 
> 
> Message from syslogd@studienpraefekt at Nov 13 12:52:09 ...
>  kernel: CR2: 0000000000000000
> 

Can you capture the entire oops trace, either with serial console or netconsole?
Comment 6 Mark Polo 2007-11-14 16:06:59 EST
I need more information how to do that... I've never had to trace an oops
before. Thank you.
Comment 7 Felix Schwarz 2007-11-17 10:42:32 EST
I saw the same oops with the Xen kernel as well with the Fedora standard kernel
so I will attach my dumps here. My system is a AMD X2 with 4GB RAM using the 64
bit mode and uses a Fritz!Card PCI v2. Unfortunately, the bug is not 100%
reproducible but annoys me way too often .-) 

One thing I noticed is that the Fedora installer configured the ISDN card as
eth0 and my real ethernet device as eth1. I manually switched ethernet to eth0
(by editing /etc/sysconfig/network-scripts/ifcfg-eth{0,1}) and deleted the
"ethernet" configuration for the ISDN card. When the error occurred, the only
workaround to get the ISDN working (maybe just luck) was to switch the ethernet
device back to eth1, start normally and switch it back to eth0.


@Mark Polo: The easiest way is to disable the isdn init script with chkconfig at
boot time and issue "service isdn start" manually. The oops message can be found
in the /var/log/messages afterwards. If this does not work for you, you need a
second computer. Google can help you with the details.
Comment 8 Felix Schwarz 2007-11-17 10:43:04 EST
Created attachment 262291 [details]
Oops message
Comment 9 Mark Polo 2007-11-18 08:59:32 EST
Created attachment 262921 [details]
Oops data

O.K., I got the oops message from my computer. It's an AMD x86_64, single core
CPU.
Comment 10 Mark Polo 2008-01-01 09:16:35 EST
Happy New Year! Does a solution to this look to be on the horizon at some point?
Or do you need more information?

Thanks for everything.
Comment 11 Chuck Ebbert 2008-01-02 17:18:06 EST
This is yet another device that isn't really ready for interrupts when it
enables them.
Comment 12 Christopher Brown 2008-02-03 18:39:26 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Otherwise it may well be worth filing this at the upstream kernel.org bugzilla
for attention by the driver developers.
Comment 13 Felix Schwarz 2008-02-04 02:23:18 EST
I'm still seeing this bug with the latest Xen kernel on Fedora 8 (did not check
with the normal kernel recently - will do that next time I hit this bug).
Comment #11 seems to indicate that this is a hardware problem. Unfortunately, I
still did not find a workaround.
Comment 14 Felix Schwarz 2008-02-05 04:01:31 EST
The bug affects the latest (non-xen) Fedora kernel, too. I'd be happy to test
other, unreleased Fedora kernels as long I can escape from dependency hell
later/don't have to upgrade my system to rawhide, Use private mail as necessary.
Comment 15 Felix Schwarz 2008-02-05 04:12:05 EST
I should add that I was not able to find (even remotely) similar bug reports in
other bugtrackers for openSUSE, Ubuntu or kernel.org so this may be a
Fedora-specific bug.
Comment 16 Christopher Brown 2008-02-05 09:47:35 EST
Please attach contents of /etc/modprobe.conf
Comment 17 Felix Schwarz 2008-02-05 13:24:46 EST
alias scsi_hostadapter libata
alias scsi_hostadapter1 sata_nv
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
alias eth1 b44

One thing I noted is that I only have eth0 (+ peth0, virbrX etc) - I renamed the
eth1 card with broadcom chipset to be eth0 (just after installing F8 some months
ago) and everythings worked so far.
Comment 18 Christopher Brown 2008-02-05 20:09:08 EST
Good to hear. Contents of ifconfig would be of interest (might be advisable to
hash out the MAC address values) otherwise feel free to close if you're happy.
Comment 19 Felix Schwarz 2008-02-06 13:32:36 EST
I was too vague obviously: I renamed the eth1 card when I installed Fedora 8
which was in November and thereafter my network worked so far - only this bug
occured quite often.


My ifconfig:
eth0      Link encap:Ethernet  HWaddr 00:13:72:3A:XX:XX
          inet addr:192.168.xxx.xxx  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::213:72ff:fe3a:4bf5/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2116 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2082 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:1061886 (1.0 MiB)  TX bytes:927693 (905.9 KiB)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:2905 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2905 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2937148 (2.8 MiB)  TX bytes:2937148 (2.8 MiB)

peth0     Link encap:Ethernet  HWaddr 00:13:72:3A:4B:F5  
          inet6 addr: fe80::213:72ff:fe3a:4bf5/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:860 errors:0 dropped:0 overruns:0 frame:0
          TX packets:293 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:70213 (68.5 KiB)  TX bytes:32400 (31.6 KiB)
          Interrupt:19 

vif1.0    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF  
          inet6 addr: fe80::fcff:ffff:feff:ffff/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1937 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2042 errors:0 dropped:41 overruns:0 carrier:0
          collisions:0 txqueuelen:32 
          RX bytes:1042256 (1017.8 KiB)  TX bytes:926695 (904.9 KiB)

virbr0    Link encap:Ethernet  HWaddr 00:00:00:00:00:00  
          inet addr:192.168.122.1  Bcast:192.168.122.255  Mask:255.255.255.0
          inet6 addr: fe80::200:ff:fe00:0/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:27 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:4548 (4.4 KiB)

ippp0     Link encap:Punkt-zu-Punkt Verbindung  
          inet Adresse:62.180.XY.ZZ  P-z-P:62.180.XY.ZZ  Maske:255.255.255.255
          UP PUNKTZUPUNKT RUNNING NOARP  MTU:1500  Metric:1
          RX packets:238 errors:0 dropped:0 overruns:0 frame:0
          TX packets:268 errors:0 dropped:0 overruns:0 carrier:0
          Kollisionen:0 Sendewarteschlangenlänge:30 
          RX bytes:151907 (148.3 KiB)  TX bytes:34314 (33.5 KiB)

Comment 20 Mark Polo 2008-02-15 15:18:51 EST
I have no reference to ippp0 in modprobe.conf or in ifconfig, even after
manually trying to start the service and getting the kernel oops.

Here is modprobe.conf:
alias eth0 r8169
alias scsi_hostadapter pata_sis
alias scsi_hostadapter1 sata_sis
alias scsi_hostadapter2 usb-storage
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0


Some other random information -- if I try to edit the configuration of the
Fritz! card using the Network Configuration GUI, I get this error message:

Component: system-config-network
Version: 1.4.7
Summary: TB40619167 isdnhardware.py:207:setup:AttributeError: 'module' object
has no attribute 'card'

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
793, in on_editButton_clicked
    self.editButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1615, in on_hardwareEditButton_clicked
    if self.showHardwareDialog(hw) == gtk.RESPONSE_OK:
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1625, in showHardwareDialog
    dl = hw.getDialog()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCHWIsdn.py", line
34, in getDialog
    return _hwIsdnDialog(self).xml.get_widget("Dialog")
  File "/usr/share/system-config-network/netconfpkg/gui/isdnhardware.py", line
56, in __init__
    self.setup()
  File "/usr/share/system-config-network/netconfpkg/gui/isdnhardware.py", line
207, in setup
    cardlist = NCisdnhardware.card.keys()
AttributeError: 'module' object has no attribute 'card'

Local variables in innermost frame:
self: <netconfpkg.gui.isdnhardware.isdnHardwareDialog instance at 0x10fcf80>


The same occurs if I delete that card and then try to add a new ISDN card:

Component: system-config-network
Version: 1.4.7
Summary: TB40619167 isdnhardware.py:207:setup:AttributeError: 'module' object
has no attribute 'card'

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
790, in on_addButton_clicked
    self.addButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1594, in on_hardwareAddButton_clicked
    if self.showHardwareDialog(hw) == gtk.RESPONSE_OK:
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1625, in showHardwareDialog
    dl = hw.getDialog()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCHWIsdn.py", line
34, in getDialog
    return _hwIsdnDialog(self).xml.get_widget("Dialog")
  File "/usr/share/system-config-network/netconfpkg/gui/isdnhardware.py", line
56, in __init__
    self.setup()
  File "/usr/share/system-config-network/netconfpkg/gui/isdnhardware.py", line
207, in setup
    cardlist = NCisdnhardware.card.keys()
AttributeError: 'module' object has no attribute 'card'

Local variables in innermost frame:
self: <netconfpkg.gui.isdnhardware.isdnHardwareDialog instance at 0x10fcf80>



While the error is coming at a higher level, I presume that it is somehow
related to this problem...
Comment 21 Felix Schwarz 2008-02-15 16:34:58 EST
Mark: I saw the same Python exception in system-config-network but this bug is
completely unrelated to the kernel issue. Please file a separate bug for this issue.
Comment 22 Chuck Ebbert 2008-02-29 18:56:45 EST
Posted the oops to linux-kernel along with some analysis:
  http://lkml.org/lkml/2008/2/29/418
Comment 23 Chuck Ebbert 2008-03-03 18:30:03 EST
Fixed in 2.6.24.3-16
Comment 24 Felix Schwarz 2008-03-04 14:07:48 EST
Thank you very much for your efforts! :-)
Please consider fixing this in the Xen kernel, too (pretty please :-o).
Comment 25 Fedora Update System 2008-03-07 14:24:20 EST
kernel-2.6.24.3-22.fc8 has been submitted as an update for Fedora 8
Comment 26 Mark Polo 2008-03-12 14:32:20 EDT
kernel-2.6.24.3-12.fc8 successfully loaded the ISDN modules for me.
Comment 27 Fedora Update System 2008-03-13 17:58:21 EDT
kernel-2.6.24.3-34.fc8 has been submitted as an update for Fedora 8
Comment 28 Fedora Update System 2008-03-16 15:27:47 EDT
kernel-2.6.24.3-34.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.